org.richfaces.fragment.notify

## Enum NotifyMessage.NotifyMessagePosition

- java.lang.Object
- - java.lang.Enum<NotifyMessage.NotifyMessagePosition>
  - - org.richfaces.fragment.notify.NotifyMessage.NotifyMessagePosition

- All Implemented Interfaces:
    Serializable, Comparable<NotifyMessage.NotifyMessagePosition>
  Enclosing interface:
    NotifyMessage

      public static enum NotifyMessage.NotifyMessagePosition
      extends Enum<NotifyMessage.NotifyMessagePosition>

  The position of this notify message on the display.
  Author:
    Jiri Stefek

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTTOM_LEFT`
    `BOTTOM_RIGHT`
    `TOP_LEFT`
    `TOP_RIGHT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NotifyMessage.NotifyMessagePosition` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static NotifyMessage.NotifyMessagePosition[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BOTTOM_LEFT

          public static final NotifyMessage.NotifyMessagePosition BOTTOM_LEFT

    - #### BOTTOM_RIGHT

          public static final NotifyMessage.NotifyMessagePosition BOTTOM_RIGHT

    - #### TOP_LEFT

          public static final NotifyMessage.NotifyMessagePosition TOP_LEFT

    - #### TOP_RIGHT

          public static final NotifyMessage.NotifyMessagePosition TOP_RIGHT

  - ### Method Detail

    - #### values

          public static NotifyMessage.NotifyMessagePosition[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NotifyMessage.NotifyMessagePosition c : NotifyMessage.NotifyMessagePosition.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NotifyMessage.NotifyMessagePosition valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.